Skip to main content
GET
/
rr
/
api
/
v1
/
contracts
/
{contract_id}
/
prepaid-commits
cURL
curl --request GET \
  --url https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/prepaid-commits \
  --header 'Authorization: <api-key>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "contract": 123,
      "entity_name": "<string>",
      "product_name": "<string>",
      "name": "<string>",
      "total_value": 0,
      "remaining_value": 0,
      "start_date": "2023-12-25",
      "status": "ACTIVE",
      "is_invoiced": true,
      "invoice": 123,
      "department_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "last_modified_at": "2023-11-07T05:31:56Z",
      "entity": 123,
      "product": 123,
      "description": "<string>",
      "currency": "<string>",
      "exchange_rate": 0,
      "exchange_rate_book": 0,
      "discount_percentage": 50,
      "rate": 50000000000000,
      "expiration_date": "2023-12-25",
      "priority": -1,
      "subledger": 123,
      "overage_invoice_cadence": "monthly",
      "auto_send_overage_invoices": true,
      "overage_invoice_start_month": "2023-12-25",
      "department": 123,
      "tags": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

contract_id
integer
required

Query Parameters

limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"